ros-rolling-rcl (5.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rcl (5.0.0-1focal) focal; urgency=high

  * Make rcl_difference_times args const (#955 <https://github.com/ros2/rcl/issues/955>)
  * Update inject_on_return test skipping logic (#953 <https://github.com/ros2/rcl/issues/953>)
  * Fix jump callbacks being called when zero time jump thresholds used (#948 <https://github.com/ros2/rcl/issues/948>)
  * Only change the default logger level if default_logger_level is set (#943 <https://github.com/ros2/rcl/issues/943>)
  * Add Library for wait_for_entity_helpers to deduplicate compilation (#942 <https://github.com/ros2/rcl/issues/942>)
  * Increase Windows timeout 15 -> 25 ms (#940 <https://github.com/ros2/rcl/issues/940>)
  * test should check specified number of entities. (#935 <https://github.com/ros2/rcl/issues/935>)
  * Contributors: Jafar Abdi, Scott K Logan, Shane Loretz, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Dec 2021 08:00:00 -0000

ros-rolling-rcl (4.0.0-1focal) focal; urgency=high

  * Fix up documentation build for rcl when using rosdoc2 (#932 <https://github.com/ros2/rcl/issues/932>)
  * Include rmw_event_t instead of forward declaring it (#933 <https://github.com/ros2/rcl/issues/933>)
  * Contributors: Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Sep 2021 07:00:00 -0000

ros-rolling-rcl (3.2.0-1focal) focal; urgency=high

  * Add rcl_publisher_wait_for_all_acked support. (#913 <https://github.com/ros2/rcl/issues/913>)
  * Add tracing instrumentation for rcl_take. (#930 <https://github.com/ros2/rcl/issues/930>)
  * Fix #include in C++ typesupport example in rcl_subscription_init docblock. (#927 <https://github.com/ros2/rcl/issues/927>)
  * Update includes after rcutils/get_env.h deprecation. (#917 <https://github.com/ros2/rcl/issues/917>)
  * Use proper rcl_logging return value type and compare to constant. (#916 <https://github.com/ros2/rcl/issues/916>)
  * Contributors: Barry Xu, Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 02 Sep 2021 07:00:00 -0000

ros-rolling-rcl (3.1.2-1focal) focal; urgency=high

  * Fix up test_network_flow_endpoints. (#912 <https://github.com/ros2/rcl/issues/912>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.1.1-1focal) focal; urgency=high

  * Make test_two_timers_ready_before_timeout less flaky (#911 <https://github.com/ros2/rcl/issues/911>)
  * Add publishing instrumentation (#905 <https://github.com/ros2/rcl/issues/905>)
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.1.0-1focal) focal; urgency=high

  * Unique network flows (#880 <https://github.com/ros2/rcl/issues/880>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Add functions for waiting for publishers and subscribers (#907 <https://github.com/ros2/rcl/issues/907>)
  * Revert "Mark cyclonedds test_service test as flakey (#648 <https://github.com/ros2/rcl/issues/648>)" (#904 <https://github.com/ros2/rcl/issues/904>)
  * Guard against returning NULL or empty node names (#570 <https://github.com/ros2/rcl/issues/570>)
  * Contributors: Ananya Muddukrishna, Jacob Perron, Michel Hidalgo, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.0.1-1focal) focal; urgency=high

  * Remove exceptions for rmw_connext_cpp tests. (#903 <https://github.com/ros2/rcl/issues/903>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rcl (3.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rcl (2.6.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Put an argument list of 'void' where no arguments are expected. (#899 <https://github.com/ros2/rcl/issues/899>)
  * Cleanup documentation for doxygen. (#896 <https://github.com/ros2/rcl/issues/896>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rcl (2.5.2-1focal) focal; urgency=high

  * Reference test resources directly from source tree (#554 <https://github.com/ros2/rcl/issues/554>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 05 Feb 2021 08:00:00 -0000

ros-rolling-rcl (2.5.1-1focal) focal; urgency=high

  * Re-add "Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)" (#884 <https://github.com/ros2/rcl/issues/884>)
  * Revert "Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)" (#883 <https://github.com/ros2/rcl/issues/883>)
  * Move the guard condition cleanup after removing callback. (#877 <https://github.com/ros2/rcl/issues/877>)
  * Make test_subscription_nominal_string_sequence more reliable (#881 <https://github.com/ros2/rcl/issues/881>)
  * Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)
  * Add NULL check in remap.c (#879 <https://github.com/ros2/rcl/issues/879>)
  * Contributors: Barry Xu, Chris Lalancette, Ivan Santiago Paunovic, Nikolai Morin

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rcl (2.5.0-1focal) focal; urgency=high

  * Add const to constant rcl_context functions (#872 <https://github.com/ros2/rcl/issues/872>)
  * Fix another failing test on CentOS 7 (#863 <https://github.com/ros2/rcl/issues/863>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Address clang static analysis issues (#865 <https://github.com/ros2/rcl/issues/865>)
  * Fix flaky test_info_by_topic (#859 <https://github.com/ros2/rcl/issues/859>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Refactor for removing unnecessary source code (#857 <https://github.com/ros2/rcl/issues/857>)
  * Clarify storing of current_time (#850 <https://github.com/ros2/rcl/issues/850>)
  * Make tests in test_graph.cpp more reliable (#854 <https://github.com/ros2/rcl/issues/854>)
  * Fix for external log segfault after SIGINT (#844 <https://github.com/ros2/rcl/issues/844>)
  * Update tracetools QL and add to rcl_lifecycle's QD (#845 <https://github.com/ros2/rcl/issues/845>)
  * Make test logging rosout more reliable (#846 <https://github.com/ros2/rcl/issues/846>)
  * Return OK when finalizing zero-initialized contexts (#842 <https://github.com/ros2/rcl/issues/842>)
  * Zero initialize events an size_of_events members of rcl_wait_set_t (#841 <https://github.com/ros2/rcl/issues/841>)
  * Update deprecated gtest macros (#818 <https://github.com/ros2/rcl/issues/818>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chen Lihui, Chris Lalancette, Christophe Bedard, Ivan Santiago Paunovic, Jacob Perron, Stephen Brawner, Thijs Raymakers, tomoya

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rcl (2.4.0-1focal) focal; urgency=high

  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Add convenient node method to get a final topic/service name (#835 <https://github.com/ros2/rcl/issues/835>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 07:00:00 -0000

ros-rolling-rcl (2.3.0-1focal) focal; urgency=high

  * Remove redundant error formatting (#834 <https://github.com/ros2/rcl/issues/834>)
  * Fix memory leak in rcl_subscription_init()/rcl_publisher_init() (#794 <https://github.com/ros2/rcl/issues/794>)
  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Add a semicolon to RCUTILS_LOGGING_AUTOINIT. (#816 <https://github.com/ros2/rcl/issues/816>)
  * Improve error messages in rcl_lifecycle (#742 <https://github.com/ros2/rcl/issues/742>)
  * Fix memory leak on serialized message in test_publisher/subscription.cpp (#801 <https://github.com/ros2/rcl/issues/801>)
  * Fix memory leak because of mock test (#800 <https://github.com/ros2/rcl/issues/800>)
  * Spelling correction (#798 <https://github.com/ros2/rcl/issues/798>)
  * Fix that not to deallocate event impl in some failure case (#790 <https://github.com/ros2/rcl/issues/790>)
  * calling fini functions to avoid memory leak (#791 <https://github.com/ros2/rcl/issues/791>)
  * Contributors: Barry Xu, Chen Lihui, Chris Lalancette, Geoffrey Biggs, Ivan Santiago Paunovic, Jacob Perron, Lei Liu

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 19 Oct 2020 07:00:00 -0000

ros-rolling-rcl (2.2.0-1focal) focal; urgency=high

  * Bump rcl arguments' API test coverage (#777 <https://github.com/ros2/rcl/issues/777>)
  * Fix rcl arguments' API memory leaks and bugs (#778 <https://github.com/ros2/rcl/issues/778>)
  * Add coverage tests wait module (#769 <https://github.com/ros2/rcl/issues/769>)
  * Fix wait set allocation cleanup (#770 <https://github.com/ros2/rcl/issues/770>)
  * Improve test coverage in rcl (#764 <https://github.com/ros2/rcl/issues/764>)
  * Check if rcutils_strdup() outcome immediately (#768 <https://github.com/ros2/rcl/issues/768>)
  * Cleanup rcl_get_secure_root() implementation (#762 <https://github.com/ros2/rcl/issues/762>)
  * Add fault injection macros to rcl functions (#727 <https://github.com/ros2/rcl/issues/727>)
  * Yield rcl_context_fini() error codes (#763 <https://github.com/ros2/rcl/issues/763>)
  * Do not invalidate context before successful shutdown (#761 <https://github.com/ros2/rcl/issues/761>)
  * Zero initialize guard condition on failed init (#760 <https://github.com/ros2/rcl/issues/760>)
  * Adding tests to arguments API (#752 <https://github.com/ros2/rcl/issues/752>)
  * Extend rcl_expand_topic_name() API test coverage (#758 <https://github.com/ros2/rcl/issues/758>)
  * Add coverage tests 94% to service API (#756 <https://github.com/ros2/rcl/issues/756>)
  * Clean up rcl_expand_topic_name() implementation (#757 <https://github.com/ros2/rcl/issues/757>)
  * Complete rcl enclave validation API coverage (#751 <https://github.com/ros2/rcl/issues/751>)
  * Cope with base function restrictions in mocks (#753 <https://github.com/ros2/rcl/issues/753>)
  * Fix allocation when copying arguments (#748 <https://github.com/ros2/rcl/issues/748>)
  * Complete rcl package's logging API test coverage (#747 <https://github.com/ros2/rcl/issues/747>)
  * Improve coverage to 95% in domain id, init option, rmw implementation id and log level modules (#744 <https://github.com/ros2/rcl/issues/744>)
  * Fix rcl package's logging API error code documentation and handling (#746 <https://github.com/ros2/rcl/issues/746>)
  * Fix bug error handling in get_param_files (#743 <https://github.com/ros2/rcl/issues/743>)
  * Complete subscription API test coverage (#734 <https://github.com/ros2/rcl/issues/734>)
  * increase timeouts in test_services fixtures for Connext (#745 <https://github.com/ros2/rcl/issues/745>)
  * Tweaks to client.c and subscription.c for cleaner init/fini (#728 <https://github.com/ros2/rcl/issues/728>)
  * Improve error checking and handling in subscription APIs (#739 <https://github.com/ros2/rcl/issues/739>)
  * Add deallocate calls to free strdup allocated memory (#737 <https://github.com/ros2/rcl/issues/737>)
  * Add missing calls to rcl_convert_rmw_ret_to_rcl_ret (#738 <https://github.com/ros2/rcl/issues/738>)
  * Add mock tests, publisher 95% coverage (#732 <https://github.com/ros2/rcl/issues/732>)
  * Restore env variables set in the test_failing_configuration. (#733 <https://github.com/ros2/rcl/issues/733>)
  * Expose qos setting for /rosout (#722 <https://github.com/ros2/rcl/issues/722>)
  * Reformat rmw_impl_id_check to call a testable function (#725 <https://github.com/ros2/rcl/issues/725>)
  * Add extra check for invalid event implementation (#726 <https://github.com/ros2/rcl/issues/726>)
  * Consolidate macro duplication (#653 <https://github.com/ros2/rcl/issues/653>)
  * Contributors: Ada-King, Dan Rose, Dirk Thomas, Jorge Perez, Michel Hidalgo, brawner, tomoya

 -- William Woodall <william@osrfoundation.org>  Wed, 02 Sep 2020 07:00:00 -0000

ros-rolling-rcl (2.1.0-1focal) focal; urgency=high

  * Add test for subscription message lost event (#705 <https://github.com/ros2/rcl/issues/705>)
  * Add function rcl_event_is_valid (#720 <https://github.com/ros2/rcl/issues/720>)
  * Move actual domain id from node to context (#718 <https://github.com/ros2/rcl/issues/718>)
  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>)
  * Remove some dead code.
  * Make sure to call rcl_arguments_fini at the end of the test.
  * Add remap needed null check (#711 <https://github.com/ros2/rcl/issues/711>)
  * Make public init/fini rosout publisher (#704 <https://github.com/ros2/rcl/issues/704>)
  * Move rcl_remap_copy to public header (#709 <https://github.com/ros2/rcl/issues/709>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Ivan Santiago Paunovic, Jorge Perez

 -- William Woodall <william@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-rcl (2.0.0-1focal) focal; urgency=high

  * Implement a generic way to change logging levels (#664 <https://github.com/ros2/rcl/issues/664>)
  * Remove domain_id and localhost_only from node_options (#708 <https://github.com/ros2/rcl/issues/708>)
  * Add coverage tests (#703 <https://github.com/ros2/rcl/issues/703>)
  * Add bad arguments tests for coverage (#698 <https://github.com/ros2/rcl/issues/698>)
  * Remove unused internal prototypes (#699 <https://github.com/ros2/rcl/issues/699>)
  * Update quality declaration and coverage (#674 <https://github.com/ros2/rcl/issues/674>)
  * Add setter and getter for domain_id in rcl_init_options_t (#678 <https://github.com/ros2/rcl/issues/678>)
  * Remove unused pytest dependency from rcl. (#695 <https://github.com/ros2/rcl/issues/695>)
  * Fix link to latest API docs (#692 <https://github.com/ros2/rcl/issues/692>)
  * Keep domain id if ROS_DOMAIN_ID is invalid. (#689 <https://github.com/ros2/rcl/issues/689>)
  * Remove unused check context.c (#691 <https://github.com/ros2/rcl/issues/691>)
  * Add check rcl_node_options_copy invalid out (#671 <https://github.com/ros2/rcl/issues/671>)
  * Update tracetools' QL to 2 in rcl's QD (#690 <https://github.com/ros2/rcl/issues/690>)
  * Improve subscription coverage (#681 <https://github.com/ros2/rcl/issues/681>)
  * Improve rcl timer test coverage (#680 <https://github.com/ros2/rcl/issues/680>)
  * Improve wait sets test coverage (#683 <https://github.com/ros2/rcl/issues/683>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Chris Lalancette, Christophe Bedard, Ivan Santiago Paunovic, Jorge Perez, Michel Hidalgo, tomoya

 -- William Woodall <william@osrfoundation.org>  Thu, 09 Jul 2020 07:00:00 -0000

ros-rolling-rcl (1.2.0-1focal) focal; urgency=high

  * Improve rcl init test coverage. (#684 <https://github.com/ros2/rcl/issues/684>)
  * Improve clock test coverage. (#685 <https://github.com/ros2/rcl/issues/685>)
  * Add message lost event (#673 <https://github.com/ros2/rcl/issues/673>)
  * Minor fixes to rcl clock implementation. (#688 <https://github.com/ros2/rcl/issues/688>)
  * Improve enclave validation test coverage. (#682 <https://github.com/ros2/rcl/issues/682>)
  * Use RCL_RET_* codes only. (#686 <https://github.com/ros2/rcl/issues/686>)
  * Fixed doxygen warnings (#677 <https://github.com/ros2/rcl/issues/677>)
  * Add tests for rcl package (#668 <https://github.com/ros2/rcl/issues/668>)
  * Remove logging_external_interface.h, provided by rcl_logging_interface package now (#676 <https://github.com/ros2/rcl/issues/676>)
  * Print RCL_LOCALHOST_ENV_VAR if error happens via rcutils_get_env. (#672 <https://github.com/ros2/rcl/issues/672>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Ivan Santiago Paunovic, Jorge Perez, Michel Hidalgo, tomoya

 -- William Woodall <william@osrfoundation.org>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rcl (1.1.5-1focal) focal; urgency=high

  * Fix conversions between rmw_localhost_only_t and bool (#670 <https://github.com/ros2/rcl/issues/670>)
  * Contributors: Jorge Perez

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rcl (1.1.4-1focal) focal; urgency=high

  * Ensure rcl_publisher_init() fails safely (#667 <https://github.com/ros2/rcl/issues/667>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rcl (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Add tests to publisher and init modules of rcl (#657 <https://github.com/ros2/rcl/issues/657>)
  * Contributors: Chris Lalancette, Jorge Perez

 -- William Woodall <william@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rcl (1.1.2-1focal) focal; urgency=high

  * Improve docblocks (#659 <https://github.com/ros2/rcl/issues/659>)
  * Contributors: Alejandro Hernández Cordero

 -- William Woodall <william@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-rolling-rcl (1.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rcl (1.1.0-1focal) focal; urgency=high

  * Expose rcl default logging output handler (#660 <https://github.com/ros2/rcl/issues/660>)
  * Remove deprecated functions (#658 <https://github.com/ros2/rcl/issues/658>)
  * Warn about unused return value for set_logger_level (#652 <https://github.com/ros2/rcl/issues/652>)
  * Mark cyclonedds test_service test as flakey (#648 <https://github.com/ros2/rcl/issues/648>)
  * Convert sleep_for into appropriate logic in tests(#631 <https://github.com/ros2/rcl/issues/631>)
  * Reduce timeouts in tests(#613 <https://github.com/ros2/rcl/issues/613>)
  * Add tests for time.c and timer.c (#599 <https://github.com/ros2/rcl/issues/599>)
  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: Barry Xu, Dirk Thomas, Ivan Santiago Paunovic, Jorge Perez, Tully Foote, brawner

 -- William Woodall <william@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-rolling-rcl (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#645 <https://github.com/ros2/rcl/issues/645>)
  * Make test_two_timers* more reliable (#640 <https://github.com/ros2/rcl/issues/640>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rcl (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Current state Quality Declaration (#639 <https://github.com/ros2/rcl/issues/639>)
  * Initialize service timestamps to 0 and test. (#642 <https://github.com/ros2/rcl/issues/642>)
  * Contributors: Alejandro Hernández Cordero, Ingo Lütkebohle, Jorge Perez

 -- William Woodall <william@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rcl (0.9.0-1focal) focal; urgency=high

  * Fix std::string construction in test (#636 <https://github.com/ros2/rcl/issues/636>)
  * Add basic functionality tests for validate_enclave_name and subscription (#624 <https://github.com/ros2/rcl/issues/624>)
  * Save allocator for RCL_CLOCK_UNINITIALIZED clock (#623 <https://github.com/ros2/rcl/issues/623>)
  * Implement service info structure with timestamps (#627 <https://github.com/ros2/rcl/issues/627>)
  * Add support for taking a sequence of messages (#614 <https://github.com/ros2/rcl/issues/614>)
  * Message info with timestamps support in rcl (#619 <https://github.com/ros2/rcl/issues/619>)
  * Don't call ``rcl_logging_configure/rcl_logging_fini`` in ``rcl_init/rcl_shutdown`` (#579 <https://github.com/ros2/rcl/issues/579>)
  * Export targets in a addition to include directories / libraries (#629 <https://github.com/ros2/rcl/issues/629>)
  * Document rcl_pub/etc_fini() must come before rcl_node_fini() (#625 <https://github.com/ros2/rcl/issues/625>)
  * Update security environment variables (#617 <https://github.com/ros2/rcl/issues/617>)
  * Add visibility to rcl_timer_get_allocator (#610 <https://github.com/ros2/rcl/issues/610>)
  * Fix test_publisher memory leaks reported by asan (#567 <https://github.com/ros2/rcl/issues/567>)
  * security-context -> enclave (#612 <https://github.com/ros2/rcl/issues/612>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#615 <https://github.com/ros2/rcl/issues/615>)
  * Fix security directory lookup for '/' security contexts (#609 <https://github.com/ros2/rcl/issues/609>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Remove deprecated CLI rules (#603 <https://github.com/ros2/rcl/issues/603>)
  * Use keystore root as security root directory, and not contexts folder (#607 <https://github.com/ros2/rcl/issues/607>)
  * Remove tinydir_vendor dependency (#608 <https://github.com/ros2/rcl/issues/608>)
  * Add missing allocator check for NULL (#606 <https://github.com/ros2/rcl/issues/606>)
  * Change naming style for private functions (#597 <https://github.com/ros2/rcl/issues/597>)
  * Switch to one Participant per Context (#515 <https://github.com/ros2/rcl/issues/515>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#535 <https://github.com/ros2/rcl/issues/535>)
  * Small typo fix (#604 <https://github.com/ros2/rcl/issues/604>)
  * Update docstring with new possible return code (#600 <https://github.com/ros2/rcl/issues/600>)
  * Add missing node destruction (#601 <https://github.com/ros2/rcl/issues/601>)
  * Test that nodes are returned with correct multiplicity (#598 <https://github.com/ros2/rcl/issues/598>)
  * Trigger guard condition when timer is reset (#589 <https://github.com/ros2/rcl/issues/589>)
  * Clock API improvements (#580 <https://github.com/ros2/rcl/issues/580>)
  * Fix memory leak in rcl_arguments (#564 <https://github.com/ros2/rcl/issues/564>)
  * Don't check history depth if RMW_QOS_POLICY_HISTORY_KEEP_ALL (#593 <https://github.com/ros2/rcl/issues/593>)
  * Fix alloc-dealloc-mismatch(new->free) in test_info_by_topic (#469 <https://github.com/ros2/rcl/issues/469>) (#569 <https://github.com/ros2/rcl/issues/569>)
  * Use 10sec lifespan in rosout publisher qos (#587 <https://github.com/ros2/rcl/issues/587>)
  * Document clock types (#578 <https://github.com/ros2/rcl/issues/578>)
  * Make rosout publisher transient local with a depth of 1000 (#582 <https://github.com/ros2/rcl/issues/582>)
  * Enable TestInfoByTopicFixture unit tests for other rmw_implementations (#583 <https://github.com/ros2/rcl/issues/583>)
  * Fix memory leak in test_subscription_nominal (#469 <https://github.com/ros2/rcl/issues/469>) (#562 <https://github.com/ros2/rcl/issues/562>)
  * Update rmw_topic_endpoint_info_array usage (#576 <https://github.com/ros2/rcl/issues/576>)
  * Add rcl versions of rmw_topic_endpoint_info* types (#558 <https://github.com/ros2/rcl/issues/558>)
  * Enable test for rcl_get_subscriptions_info_by_topic / rcl_get_publishers_info_by_topic for Cyclone (#572 <https://github.com/ros2/rcl/issues/572>)
  * Fixed missing initialization and fixed qos checking in test (#571 <https://github.com/ros2/rcl/issues/571>)
  * Fix test_count_matched memory leaks reported by asan #567 <https://github.com/ros2/rcl/issues/567> (#568 <https://github.com/ros2/rcl/issues/568>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Fix return type of rcl_publisher_get_subscription_count() (#559 <https://github.com/ros2/rcl/issues/559>)
  * Fix doc strings (#557 <https://github.com/ros2/rcl/issues/557>)
  * Implement functions to get publisher and subcription informations like QoS policies from topic name (#511 <https://github.com/ros2/rcl/issues/511>)
  * Use absolute topic name for ``rosout`` (#549 <https://github.com/ros2/rcl/issues/549>)
  * Set allocator before goto fail (#546 <https://github.com/ros2/rcl/issues/546>)
  * Add public facing API for validating rcl_wait_set_t (#538 <https://github.com/ros2/rcl/issues/538>)
  * Add flag to enable/disable rosout logging in each node individually. (#532 <https://github.com/ros2/rcl/issues/532>)
  * Treat __name the same as __node (#494 <https://github.com/ros2/rcl/issues/494>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Chris Lalancette, Dan Rose, Dennis Potman, Dirk Thomas, DongheeYe, Ingo Lütkebohle, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Jorge Perez, Miaofei Mei, Michael Carroll, Michel Hidalgo, Mikael Arguedas, P. J. Reed, Ruffin, Shane Loretz, William Woodall, y-okumura-isp

 -- William Woodall <william@osrfoundation.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-rcl (0.8.3-1focal) focal; urgency=high

  * Support CLI parameter overrides using dots instead of slashes. (#530 <https://github.com/ros2/rcl/issues/530>)
    Signed-off-by: Michel Hidalgo <mailto:michel@ekumenlabs.com>
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-rcl (0.8.2-1focal) focal; urgency=high

  * Remove the prototype from rcl_impl_getenv. (#525 <https://github.com/ros2/rcl/issues/525>)
  * Use return_loaned_message_from (#523 <https://github.com/ros2/rcl/issues/523>)
  * Avoid ready_fn and self.proc_info (#522 <https://github.com/ros2/rcl/issues/522>)
  * Add localhost option to node creation (#520 <https://github.com/ros2/rcl/issues/520>)
  * Add initial instrumentation (#473 <https://github.com/ros2/rcl/issues/473>)
  * Zero copy api (#506 <https://github.com/ros2/rcl/issues/506>)
  * Don't create rosout publisher instance unless required. (#514 <https://github.com/ros2/rcl/issues/514>)
  * Handle zero non-ROS specific args properly in rcl_remove_ros_arguments (#518 <https://github.com/ros2/rcl/issues/518>)
  * Update rcl_node_init docstring (#517 <https://github.com/ros2/rcl/issues/517>)
  * Remove vestigial references to rcl_ok() (#516 <https://github.com/ros2/rcl/issues/516>)
  * Add mechanism to pass rmw impl specific payloads during pub/sub creation (#513 <https://github.com/ros2/rcl/issues/513>)
  * Contributors: Brian Marchi, Chris Lalancette, Ingo Lütkebohle, Jacob Perron, Karsten Knese, Michel Hidalgo, Peter Baughman, William Woodall, tomoya

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rcl (0.8.1-1focal) focal; urgency=high

  * Switch the default logging implementation to spdlog.
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 08 Oct 2019 07:00:00 -0000

ros-rolling-rcl (0.8.0-1focal) focal; urgency=high

  * Delete rcl_impl_getenv, replaced by rcutils_get_env (#502 <https://github.com/ros2/rcl/issues/502>)
  * Parse CLI parameters and YAML files (#508 <https://github.com/ros2/rcl/issues/508>)
  * Add specific return code for non existent node (#492 <https://github.com/ros2/rcl/issues/492>)
  * Add node name and namespace validation to graph functions (#499 <https://github.com/ros2/rcl/issues/499>)
  * Bring back deprecated CLI arguments (#496 <https://github.com/ros2/rcl/issues/496>)
  * Polish rcl arguments implementation (#497 <https://github.com/ros2/rcl/issues/497>)
  * Uncoment some test_graph test cases after fix in rmw_fastrtps (ros2/rmw_fastrtps#316 <https://github.com/ros2/rmw_fastrtps/issues/316>) (#498 <https://github.com/ros2/rcl/issues/498>)
  * Promote special CLI rules to flags (#495 <https://github.com/ros2/rcl/issues/495>)
  * Fail fast on invalid ROS arguments (#493 <https://github.com/ros2/rcl/issues/493>)
  * Enforce -r/--remap flags. (#491 <https://github.com/ros2/rcl/issues/491>)
  * Support parameter overrides and remap rules flags on command line (#483 <https://github.com/ros2/rcl/issues/483>)
  * Allow get_node_names to return result in any order (#488 <https://github.com/ros2/rcl/issues/488>)
  * rosout init and fini marked as RCL_PUBLIC (#479 <https://github.com/ros2/rcl/issues/479>)
  * included header in logging_rosout.c (#478 <https://github.com/ros2/rcl/issues/478>)
  * Migrate to '--ros-args ... [--]'-based ROS args extraction (#477 <https://github.com/ros2/rcl/issues/477>)
  * Improve security error messages  (#480 <https://github.com/ros2/rcl/issues/480>)
  * Add function for getting clients by node (#459 <https://github.com/ros2/rcl/issues/459>)
  * Remove special case check for manual_by_node for rmw_fastrtps (#467 <https://github.com/ros2/rcl/issues/467>)
  * Fix memory leak of 56 bytes in test_graph
  * Change tests to try MANUAL_BY_TOPIC liveliness for FastRTPS (#465 <https://github.com/ros2/rcl/issues/465>)
  * Implement get_actual_qos() for subscriptions (#455 <https://github.com/ros2/rcl/issues/455>)
  * Log warning when remapping to an invalid node name (#454 <https://github.com/ros2/rcl/issues/454>)
  * Use size_t printf format for size_t variable (#453 <https://github.com/ros2/rcl/issues/453>)
  * Contributors: Alberto Soragna, Emerson Knapp, Jacob Perron, M. M, Michel Hidalgo, Mikael Arguedas, Víctor Mayoral Vilches, eboasson, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rcl (0.7.4-1focal) focal; urgency=high

  * Fix tests now that FastRTPS correctly reports that liveliness is not supported (#452 <https://github.com/ros2/rcl/issues/452>)
  * In test_events, wait for discovery to be complete bidirectionally before moving on (#451 <https://github.com/ros2/rcl/issues/451>)
  * fix leak in test_service (#447 <https://github.com/ros2/rcl/issues/447>)
  * fix leak in test_guard_condition (#446 <https://github.com/ros2/rcl/issues/446>)
  * fix leak in test_get_actual_qos (#445 <https://github.com/ros2/rcl/issues/445>)
  * fix leak in test_expand_topic_name (#444 <https://github.com/ros2/rcl/issues/444>)
  * Contributors: Abby Xu, Emerson Knapp

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rcl (0.7.3-1focal) focal; urgency=high

  * Fixed memory leak in ``test_client`` (#443 <https://github.com/ros2/rcl/issues/443>)
  * Fixed memory leaks in ``test_wait.cpp`` (#439 <https://github.com/ros2/rcl/issues/439>)
  * Fixed memory leak in ``test_context`` (#441 <https://github.com/ros2/rcl/issues/441>)
  * Fixed memory leak in ``test_init`` (#440 <https://github.com/ros2/rcl/issues/440>)
  * Enabled rcl ``test_events`` unit tests on macOS (#433 <https://github.com/ros2/rcl/issues/433>)
  * Enabled deadline tests for FastRTPS (#438 <https://github.com/ros2/rcl/issues/438>)
  * Corrected use of ``launch_testing.assert.assertExitCodes`` (#437 <https://github.com/ros2/rcl/issues/437>)
  * Reverted "Changes the default 3rd party logger from rcl_logging_noop to… (#436 <https://github.com/ros2/rcl/issues/436>)
  * Fixed memory leaks in ``test_security_directory`` (#420 <https://github.com/ros2/rcl/issues/420>)
  * Fixed a memory leak in rcl context fini (#434 <https://github.com/ros2/rcl/issues/434>)
  * Contributors: Abby Xu, Cameron Evans, Chris Lalancette, Dirk Thomas, M. M, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rcl (0.7.2-1focal) focal; urgency=high

  * Changes the default 3rd party logger from rcl_logging_noop to rcl_logging_log4cxx (#425 <https://github.com/ros2/rcl/issues/425>)
  * fix leak in node.c (#424 <https://github.com/ros2/rcl/issues/424>)
  * Add new RCL_RET_UNSUPPORTED (#432 <https://github.com/ros2/rcl/issues/432>)
  * New interfaces and their implementations for QoS features (#408 <https://github.com/ros2/rcl/issues/408>)
  * Add an allocator to the external logging initialization. (#430 <https://github.com/ros2/rcl/issues/430>)
  * fix buffer overflow in test_security_dir (#423 <https://github.com/ros2/rcl/issues/423>)
  * Rmw preallocate (#428 <https://github.com/ros2/rcl/issues/428>)
  * Use new test interface definitions (#427 <https://github.com/ros2/rcl/pull/427>)
  * Migrate launch tests to new launch_testing features & API (#405 <https://github.com/ros2/rcl/issues/405>)
  * Fix argument passed to logging macros (#421 <https://github.com/ros2/rcl/issues/421>)
  * Make sure to initialize the bool field. (#426 <https://github.com/ros2/rcl/issues/426>)
  * Contributors: Abby Xu, Chris Lalancette, Emerson Knapp, Jacob Perron, M. M, Michael Carroll, Michel Hidalgo, Nick Burek, Thomas Moulard

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rcl (0.7.1-1focal) focal; urgency=high

  * Replaced reinterperet_cast with static_cast. (#410 <https://github.com/ros2/rcl/issues/410>)
  * Fixed leak in __wait_set_clean_up. (#418 <https://github.com/ros2/rcl/issues/418>)
  * Updated initialization of rmw_qos_profile_t struct instances. (#416 <https://github.com/ros2/rcl/issues/416>)
  * Contributors: Dirk Thomas, M. M, jhdcs

 -- William Woodall <william@osrfoundation.org>  Mon, 29 Apr 2019 07:00:00 -0000

ros-rolling-rcl (0.7.0-1focal) focal; urgency=high

  * Added more test cases for graph API + fix bug. (#404 <https://github.com/ros2/rcl/issues/404>)
  * Fixed missing include. (#413 <https://github.com/ros2/rcl/issues/413>)
  * Updated to use pedantic. (#412 <https://github.com/ros2/rcl/issues/412>)
  * Added function to get publisher actual qos settings. (#406 <https://github.com/ros2/rcl/issues/406>)
  * Refactored graph API docs. (#401 <https://github.com/ros2/rcl/issues/401>)
  * Updated to use ament_target_dependencies where possible. (#400 <https://github.com/ros2/rcl/issues/400>)
  * Fixed regression around fully qualified node name. (#402 <https://github.com/ros2/rcl/issues/402>)
  * Added function rcl_names_and_types_init. (#403 <https://github.com/ros2/rcl/issues/403>)
  * Fixed uninitialize sequence number of client. (#395 <https://github.com/ros2/rcl/issues/395>)
  * Added launch along with launch_testing as test dependencies. (#393 <https://github.com/ros2/rcl/issues/393>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Updated to split test_token to avoid compiler note. (#392 <https://github.com/ros2/rcl/issues/392>)
  * Dropped legacy launch API usage. (#387 <https://github.com/ros2/rcl/issues/387>)
  * Improved security directory lookup. (#332 <https://github.com/ros2/rcl/issues/332>)
  * Enforce non-null argv values on rcl_init(). (#388 <https://github.com/ros2/rcl/issues/388>)
  * Removed incorrect argument documentation. (#361 <https://github.com/ros2/rcl/issues/361>)
  * Changed error to warning for multiple loggers. (#384 <https://github.com/ros2/rcl/issues/384>)
  * Added rcl_node_get_fully_qualified_name. (#255 <https://github.com/ros2/rcl/issues/255>)
  * Updated rcl_remap_t to use the PIMPL pattern. (#377 <https://github.com/ros2/rcl/issues/377>)
  * Fixed documentation typo. (#376 <https://github.com/ros2/rcl/issues/376>)
  * Removed test circumvention now that a bug is fixed in rmw_opensplice. (#368 <https://github.com/ros2/rcl/issues/368>)
  * Updated to pass context to wait set, and fini rmw context. (#373 <https://github.com/ros2/rcl/issues/373>)
  * Updated to publish logs to Rosout. (#350 <https://github.com/ros2/rcl/issues/350>)
  * Contributors: AAlon, Dirk Thomas, Jacob Perron, M. M, Michael Carroll, Michel Hidalgo, Mikael Arguedas, Nick Burek, RARvolt, Ross Desmond, Sachin Suresh Bhat, Shane Loretz, William Woodall, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-rcl (0.6.4-1focal) focal; urgency=high

  * Added method for accessing rmw_context from rcl_context (#372 <https://github.com/ros2/rcl/issues/372>)
  * Added guard against bad allocation when calling rcl_arguments_copy() (#367 <https://github.com/ros2/rcl/issues/367>)
  * Updated to ensure that context instance id storage is aligned correctly (#365 <https://github.com/ros2/rcl/issues/365>)
  * Fixed error from uncrustify v0.68 (#364 <https://github.com/ros2/rcl/issues/364>)
  * Contributors: Jacob Perron, William Woodall, sgvandijk

 -- William Woodall <william@osrfoundation.org>  Fri, 11 Jan 2019 08:00:00 -0000

ros-rolling-rcl (0.6.3-1focal) focal; urgency=high

  * Set rmw_wait timeout using ros timers too (#357 <https://github.com/ros2/rcl/issues/357>)
  * Contributors: Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-rolling-rcl (0.6.2-1focal) focal; urgency=high

  * Updated docs about possibility of rcl_take not taking (#356 <https://github.com/ros2/rcl/issues/356>)
  * Bugfix: ensure NULL timeout is passed to rmw_wait() when min_timeout is not set
    Otherwise, there is a risk of integer overflow (e.g. in rmw_fastrtps) and rmw_wait() will wake immediately.
  * Contributors: Jacob Perron, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-rolling-rcl (0.6.1-1focal) focal; urgency=high

  * Added new cli parameters for configuring the logging. (#327 <https://github.com/ros2/rcl/issues/327>)
  * Added node graph api to rcl. (#333 <https://github.com/ros2/rcl/issues/333>)
  * Fixed compiler warning in clang (#345 <https://github.com/ros2/rcl/issues/345>)
  * Refactored init to not be global (#336 <https://github.com/ros2/rcl/issues/336>)
  * Methods to retrieve matched counts on pub/sub. (#326 <https://github.com/ros2/rcl/issues/326>)
  * Updated to output index in container when adding an entity to a wait set. (#335 <https://github.com/ros2/rcl/issues/335>)
  * Contributors: Jacob Perron, Michael Carroll, Nick Burek, Ross Desmond, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-rolling-rcl (0.6.0-1focal) focal; urgency=high

  * Updated to expand node_secure_root using local_namespace (#300 <https://github.com/ros2/rcl/issues/300>)
  * Moved stdatomic helper to rcutils (#324 <https://github.com/ros2/rcl/issues/324>)
  * Added subfolder argument to the ROSIDL_GET_SRV_TYPE_SUPPORT macro (#322 <https://github.com/ros2/rcl/issues/322>)
  * Updated to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Fixed minor documentation issues (#305 <https://github.com/ros2/rcl/issues/305>)
  * Added macro semicolons (#303 <https://github.com/ros2/rcl/issues/303>)
  * Added Rcl timer with ros time (#286 <https://github.com/ros2/rcl/issues/286>)
  * Updated to ensure that timer period is non-negative (#295 <https://github.com/ros2/rcl/issues/295>)
  * Fixed calculation of next timer call (#291 <https://github.com/ros2/rcl/issues/291>)
  * Updated to null deallocated jump callbacks (#294 <https://github.com/ros2/rcl/issues/294>)
  * Included namespaces in get_node_names. (#287 <https://github.com/ros2/rcl/issues/287>)
  * Fixed documentation issues (#288 <https://github.com/ros2/rcl/issues/288>)
  * Updated to check if pointers are null before calling memset (#290 <https://github.com/ros2/rcl/issues/290>)
  * Added multiple time jump callbacks to clock (#284 <https://github.com/ros2/rcl/issues/284>)
  * Consolidated wait set functions (#285 <https://github.com/ros2/rcl/issues/285>)
    * Consolidate functions to clear wait set
    Added rcl_wait_set_clear()
    Added rcl_wait_set_resize()
    Removed
    rcl_wait_set_clear_subscriptions()
    rcl_wait_set_clear_guard_conditions()
    rcl_wait_set_clear_clients()
    rcl_wait_set_clear_services()
    rcl_wait_set_clear_timers()
    rcl_wait_set_resize_subscriptions()
    rcl_wait_set_resize_guard_conditions()
    rcl_wait_set_resize_timers()
    rcl_wait_set_resize_clients()
    rcl_wait_set_resize_services()
  * ROS clock storage initially set to zero (#283 <https://github.com/ros2/rcl/issues/283>)
  * Fixed issue with deallocation of parameter_files (#279 <https://github.com/ros2/rcl/issues/279>)
  * Update to initialize memory before sending a message (#277 <https://github.com/ros2/rcl/issues/277>)
  * Set error message when clock type is not ROS_TIME (#275 <https://github.com/ros2/rcl/issues/275>)
  * Copy allocator passed in to clock init (#274 <https://github.com/ros2/rcl/issues/274>)
  * Update to initialize timer with clock (#272 <https://github.com/ros2/rcl/issues/272>)
  * Updated to use test_msgs instead of std_msgs in tests (#270 <https://github.com/ros2/rcl/issues/270>)
  * Added regression test for node:__ns remapping (#263 <https://github.com/ros2/rcl/issues/263>)
  * Updated to support Uncrustify 0.67 (#266 <https://github.com/ros2/rcl/issues/266>)
  * Contributors: Chris Lalancette, Chris Ye, Dirk Thomas, Jacob Perron, Michael Carroll, Mikael Arguedas, Ruffin, Shane Loretz, William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-rolling-rcl (0.5.0-1focal) focal; urgency=high

  * Updated code to only use ``rcutils_allocator_t`` and not use system memory functions directly. (#261 <https://github.com/ros2/rcl/issues/261>)
  * Changed code to use ``rcutils_format_string()`` rather than ``malloc`` and ``rcutils_snprintf()`` (#240 <https://github.com/ros2/rcl/issues/240>)
  * Added functions for dealing with serialized messages. (#170 <https://github.com/ros2/rcl/issues/170>)
  * Updated to use ``test_msgs`` instead of ``example_interfaces``. (#259 <https://github.com/ros2/rcl/issues/259>)
  * Added regression test for the Connext specific 'wrong type writer' error. (#257 <https://github.com/ros2/rcl/issues/257>)
  * Added the ability to set the default logger level from command line. (#256 <https://github.com/ros2/rcl/issues/256>)
  * Refactored the ``memory_tools`` testing API to ``osrf_testing_tools_cpp`` (#238 <https://github.com/ros2/rcl/issues/238>)
  * Added support for passing YAML parameter files via the command line arguments.  (#253 <https://github.com/ros2/rcl/issues/253>)
  * Migrated existing uses of ``launch`` to use the same API in it's new API ``launch.legacy``. (#250 <https://github.com/ros2/rcl/issues/250>)
  * Added a printed warning if non-FQN namespace remapping is passed. (#248 <https://github.com/ros2/rcl/issues/248>)
  * Made some changes toward MISRA C compliance. (#229 <https://github.com/ros2/rcl/issues/229>)
  * Changed ``rcl_node_init()`` so that it now copies node options passed into it (#231 <https://github.com/ros2/rcl/issues/231>)
  * Fixed some memory leaks in ``test_arguments`` (#230 <https://github.com/ros2/rcl/issues/230>)
  * Extended static remapping feature with support for the url scheme (#227 <https://github.com/ros2/rcl/issues/227>)
  * Made a change to force ``rcl_arguments_t`` to be zero initialized. (#225 <https://github.com/ros2/rcl/issues/225>)
  * Updated documentation for ``rmw_get_node_names()`` to mention the potential for null values (#214 <https://github.com/ros2/rcl/issues/214>)
  * Fix an issue with signed time difference. (#224 <https://github.com/ros2/rcl/issues/224>)
  * Changed library export order to fix static linking (#216 <https://github.com/ros2/rcl/issues/216>)
  * Implemented static remapping over command line arguments (#217 <https://github.com/ros2/rcl/issues/217> and #221 <https://github.com/ros2/rcl/issues/221>)
  * Added a sized validation function for the topic name as ``rcl_validate_topic_name_with_size()`` (#220 <https://github.com/ros2/rcl/issues/220>)
  * Added a logger name and stored it in the rcl node structure (#212 <https://github.com/ros2/rcl/issues/212>)
  * Changed ``rcutils_time_point_value_t`` type from ``uint64_t`` to ``int64_t`` (#208 <https://github.com/ros2/rcl/issues/208>)
  * Fixed a potential bug by resetting the ``RMWCount`` when using the ``DEALLOC`` macro on rmw storage of a wait set (#209 <https://github.com/ros2/rcl/issues/209> and #211 <https://github.com/ros2/rcl/issues/211>)
    * Signed-off-by: jwang <mailto:jing.j.wang@intel.com>
  * Fixed a potential bug by resetting ``wait_set`` type index in the ``SET_RESIZE`` macro (#207 <https://github.com/ros2/rcl/issues/207>)
    * Signed-off-by: jwang <mailto:jing.j.wang@intel.com>
  * Removed a slash behind ``SET_CLEAR`` MACRO (#206 <https://github.com/ros2/rcl/issues/206>)
    * Signed-off-by: jwang <mailto:jing.j.wang@intel.com>
  * Changed rmw result validation string to not ever return nullptr (#193 <https://github.com/ros2/rcl/issues/193>)
    * Signed-off-by: Ethan Gao <mailto:ethan.gao@linux.intel.com>
  * Clarified that ``rcl_take_response()`` populates the ``request_header`` (#205 <https://github.com/ros2/rcl/issues/205>)
  * Removed a now obsolete connext workaround (#203 <https://github.com/ros2/rcl/issues/203>)
  * Fixed a potential segmentation fault due to a nullptr dereference (#202 <https://github.com/ros2/rcl/issues/202>)
    * Signed-off-by: Ethan Gao <mailto:ethan.gao@linux.intel.com>
  * Contributors: Dirk Thomas, Ethan Gao, Karsten Knese, Michael Carroll, Mikael Arguedas, Shane Loretz, William Woodall, dhood, jwang11, serge-nikulin

 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jun 2018 07:00:00 -0000


